DELETE /api/saved_objects/{type}/{id}

Spaces method and path for this operation:

delete /s/{space_id}/api/saved_objects/{type}/{id}

Refer to Spaces for more information.

WARNING: This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.

Deletes a single Kibana saved object by type and ID.

There is currently no complete replacement for deleting arbitrary saved objects via an HTTP API.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Path parameters

  • type string Required

    The saved object type.

  • id string Required

    The saved object identifier.

Query parameters

  • force boolean

    When true, force deletion of multi-namespace objects from all namespaces.

Responses

  • 200 application/json

    A successful delete response.

  • 404 application/json

    Not found.

DELETE /api/saved_objects/{type}/{id}
curl \
  -X DELETE "${KIBANA_URL}/api/saved_objects/dashboard/example-dashboard-1?force=false" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true"
DELETE kbn://api/saved_objects/dashboard/example-dashboard-1?force=false
Response examples (200)
{
  "summary": "Successful delete",
  "value": {}
}
Response examples (404)
{
  "error": "Not Found",
  "message": "Saved object [dashboard/does-not-exist] not found",
  "statusCode": 404
}